IBM Manta Data Lineage

Introduction to IBM Manta Data Lineage as a Service You can use the IBM Manta Data Lineage as a Service REST APIs to see the journey data takes from its origin, through transformations to consumers. If you are looking for IBM Manta Data Lineage software APIs, see herehttps://cloud.ibm.com/apidocs/data-lineage-cpd. For more information, see these resources: - Documentation for Cloud Pak for Data as a Servicehttps://dataplatform.cloud.ibm.com/docs/content/wsj/getting-started/welcome-main.html?context=cpdaas Endpoint URL To form a complete API endpoint URL for your request, append the documented API method path to the base URL that matches your product instance location: - Dallas: https://api.dataplatform.cloud.ibm.com - Frankfurt: https://api.eu-de.dataplatform.cloud.ibm.com - London: https://api.eu-gb.dataplatform.cloud.ibm.com - Tokyo: https://api.jp-tok.dataplatform.cloud.ibm.com - Sydney: https://api.au-syd.dai.cloud.ibm.com - Toronto: https://api.ca-tor.dai.cloud.ibm.com Authentication Before you can call a data lineage API you must first create an IAMhttps://cloud.ibm.com/docs/account?topic=account-iamoverview bearer token. Each token is valid only for one hour, and after a token expires you must create a new one if you want to continue using the API. The recommended method to retrieve a token programmatically is to create an API key for your IBM Cloud identity and then use the IAM token API to exchange that key for a token. You can create a token in IBM Cloud or by using the IBM Cloud command line interface CLI. To create a token in the IBM Cloud: 1. Log in to IBM Cloudhttps://cloud.ibm.com/ and select Manage Access IAM API keys. 2. Create an API key for your own personal identity, copy the key value, and save it in a secure place. After you leave the page, you will no longer be able to access this value. 3. With your API key, set up a REST API tool and run the following command to the right You can read more about managing API keys at Understanding API keyshttps://cloud.ibm.com/docs/account?topic=account-manapikey documentation page. Curl command with API key to retrieve token curl -X POST 'https://iam.cloud.ibm.com/identity/token' \ -H 'Content-Type: application/x-www-form-urlencoded' \ -d 'granttype=urn:ibm:params:oauth:grant-type:apikey&apikey=MYAPIKEY' Response json { "accesstoken": "eyJhbGciOiJIUz......sgrKIi8hdFs", "refreshtoken": "SPrXw5tBE3......KBQ+luWQVY=", "tokentype": "Bearer", "expiresin": 3600, "expiration": 1473188353 } 4. Use the value of the accesstoken property for your API calls. Set the accesstoken value as the authorization header parameter for requests to the APIs. The format is Authorization: Bearer

MethodPathSummary
POST/gov_lineage/v2/search_lineage_assetsSearch lineage assets
POST/gov_lineage/v2/search_lineage_asset_namesSearch lineage asset names
GET/gov_lineage/v2/lineage_assets/{id}Get a lineage asset
PATCH/gov_lineage/v2/lineage_assets/{id}Update lineage asset
GET/gov_lineage/v2/lineage_assetsList lineage assets
GET/gov_lineage/v2/lineage_assets/{id}/childrenList lineage asset children
GET/gov_lineage/v2/lineage_asset_typesList lineage asset types
POST/gov_lineage/v2/search_licensing_sourcesSearch for licensing sources
GET/gov_lineage/v2/licensing_sourcesList licensing sources
GET/gov_lineage/v2/licensing_sources/{licensing_source_id}Get a licensing source
POST/gov_lineage/v2/query_summary_edge_assetsQuery assets in summary edges
POST/gov_lineage/v2/query_relative_assetsQuery relative assets
POST/gov_lineage/v2/query_lineageQuery lineage graph
POST/gov_lineage/v2/delete_lineageDelete lineage
DELETE/gov_lineage/v2/data_source_definitions/{id}/scanners/{scanner}Delete the data source definition
GET/gov_lineage/v2/technologiesList technologies
GET/gov_lineage/v2/technologies/{id}Get technology
GET/gov_lineage/v2/technologies/{id}/childrenList technology children
GET/gov_lineage/v2/source_codes/{id}Get a source code by {id}
GET/gov_lineage/v2/source_code_snippets/{id}Get a source code snippet by {id}
GET/gov_lineage/v2/operations/{id}Get operation
GET/gov_lineage/v2/lineage_versionsList lineage versions
GET/gov_lineage/v2/licensing_technologiesList licensing technologies
GET/gov_lineage/v2/licensing_technologies/{licensing_technology_id}Get a licensing technology
GET/gov_lineage/v2/licensing_summaryGet a licensing summary
POST/gov_lineage/v2/lineage_events/openlineageSubmit an OpenLineage event
POST/gov_lineage/v2/lineage_events/openlineage/batchSubmit a batch of OpenLineage events
GET/gov_lineage/v2/cos_bucket_credentialsRetrieve the COS bucket credentials
POST/gov_lineage/v2/cos_bucket_credentialsCreate COS bucket credentials